/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.modules.jeo.gen;

import com.queplix.core.modules.jeo.JEObject;

import java.util.Date;

/**
 * Attachment JEO interface.
 *
 * @author [ONZ] Oleg N. Zhovtanyuk
 * @author [ALB] Baranov Andrey
 * @version $Revision: 1.1.1.1 $ $Date: 2005/09/12 15:30:47 $
 */
public interface AttachmentObject extends JEObject {

    Long getAttachment_id();

    Long getProcess_id();

    String getFilename();

    String getFiletype();

    String getFileext();

    Date getCreated();

    byte[] getData();

    Long getUser_id();

    void setAttachment_id(Long attachment_id);

    void setProcess_id(Long process_id);

    void setFilename(String filename);

    void setFiletype(String filetype);

    void setFileext(String fileext);

    void setCreated(Date created);

    void setData(byte[] data);

    void setUser_id(Long user_id);
}
